VBA - rysowanie polilinii


Recommended Posts

Witam wszystkich.

Mam taki mały problem :). Chciałem zapoznać się trochę z VBA, ale nigdy nie pisałem żadnych programów/makr. W necie znalazłem tutorial pod autocada i przepisałem z niego program ale niestety wyskakuje mi błąd "Invalid procedure call or argument (Error 5)" . Dotyczy on linii "Set newpline = Thisdocument.ModelSpace.AddLightWeightPolyline(pkt)". Z góry dzieki za pomoc. Pozdrawiam

Sub pol()
Dim h As Double
Dim s As Double
Dim t As Double
Dim g As Double
Dim r As Double
Dim r1 As Double

Dim pt1 As Variant
Dim pkt(0 To 17) As Variant
pt1 = Thisdocument.Utility.GetPoint(, vbCrLf & "Punkt wstawienia:")

h = 60
s = 40
t = 6
g = 6
r = 6
r1 = 3
Dim newpline As ZwcadLWPolyline
pkt(0) = pt1(0)
pkt(1) = pt1(1)
pkt(2) = pkt(0) + s
pkt(3) = pkt(1)
pkt(4) = pkt(2)
pkt(5) = pkt(3) + (t - r1)
pkt(6) = pkt(4) - r1
pkt(7) = pkt(1) + t
pkt(8) = pkt(0) + g + r
pkt(9) = pkt(1) + t
pkt(10) = pkt(8) - r
pkt(11) = pkt(9) + r
pkt(12) = pkt(10)
pkt(13) = pkt(1) + h - r1
pkt(14) = pkt(0) + g - r1
pkt(15) = pkt(1) + h
pkt(16) = pkt(0)
pkt(17) = pkt(15)

Set newpline = Thisdocument.ModelSpace.AddLightWeightPolyline(pkt)
newpline.Closed = True
newpline.Update
End Sub

Link do źródła: http://www.is.pw.edu.pl/plik/290/VBA%20dla%20AutoCAD.pdf

Numer kompilacji: "2011.10.30(17176)"[/code]

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share